<?php
/*********************/
/*                   */
/*  Version : 5.1.0  */
/*  Author  : RM     */
/*  Comment : 071223 */
/*                   */
/*********************/

if ( !defined( "O2_REBORN_INSTALL" ) )
{
    exit( "Hacking attempt!" );
}
$domain = urlencode( strip_tags( $_SERVER['HTTP_HOST'] ) );
$edit_files = array(
    array(
        "open" => "./templates/o2reborn/js/facebox.js",
        "find" => "'../templates/o2reborn/img/face/close.png',",
        "key" => "\$domain",
        "replace" => "'http://".$domain."/templates/o2reborn/img/face/close.png',"
    ),
    array(
        "open" => "./templates/o2reborn/js/facebox.js",
        "find" => "'../templates/o2reborn/img/face/loading.gif',",
        "key" => "\$domain",
        "replace" => "'http://".$domain."/templates/o2reborn/img/face/loading.gif',"
    ),
    array( "open" => "./engine/modules/topnews.php", "find" => "\$topnews .= \"&raquo; \" . \$link . \"<br />\";", "key" => "\$link", "replace" => "\$topnews .= \$link ;" ),
    array( "open" => "./engine/modules/functions.php", "find" => "padding-top:2px;", "key" => "8px", "replace" => "padding-top:8px;" ),
    array(
        "open" => "./engine/ajax/editcomments.php",
        "find" => "<form name=\"ajaxcomments{\$id}\" id=\"ajaxcomments{\$id}\" metod=\"post\" action=\"\">",
        "key" => "border:3px solid #90b6d2;",
        "before" => "<div style='position:absolute; width:700px; left:20%; padding:10px; border:3px solid #90b6d2; background:#d3f0ff url(http://".$domain."/templates/o2reborn/img/subfon.png) repeat-x;'>"
    ),
    array( "open" => "./engine/ajax/editcomments.php", "find" => "value=\"\$lang[bb_b_cancel]\">\r\n</div>\r\n</form>", "key" => "\$lang[bb_b_cancel]", "replace" => "value=\"\$lang[bb_b_cancel]\">\r\n</div>\r\n</form>\r\n</div>" )
);
copy( "./templates/o2reborn/inst/comments.class.php", "./engine/classes/comments.class.php" );
copy( "./templates/o2reborn/inst/search.php", "./engine/modules/search.php" );
copy( "./templates/o2reborn/inst/calendar.php", "./engine/modules/calendar.php" );
?>
